Create Call Agent
curl --request POST \
--url http://api.stuut.ai/v1/call-agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://api.stuut.ai/v1/call-agents"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://api.stuut.ai/v1/call-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<string>",
"remote_agent_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"recording_consent_required": true,
"retell_agent": {
"agent_id": "<string>",
"agent_name": "<string>",
"interruption_sensitivity": 0.5,
"language": "<string>",
"responsiveness": 0.5,
"voice_speed": 1.25,
"voice_temperature": 1,
"voice_id": "<string>"
},
"retell_voice": {
"accent": "<string>",
"age": "<string>",
"gender": "<string>",
"preview_audio_url": "<string>",
"provider": "<string>",
"voice_id": "<string>",
"voice_name": "<string>"
}
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
},
"message": "<string>"
}Call Agents
Create Call Agent
POST
/
v1
/
call-agents
Create Call Agent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
inbound, outbound Response
Successful response
- Option 1
- Option 2
The id of the remote agent to use for this call agent.
Available options:
inbound, outbound Maximum string length:
8Maximum string length:
32Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
